Revision: 25563 == MAME/MESS/UME 0.150x2

Revision: 25563
Author: dhaywood
Date: 07 October 2013 22:51:02
Message:
fix validation errors (nw)

(somebody might want to pick better names, or use clones)
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25562
Author: dhaywood
Date: 07 October 2013 22:17:08
Message:
minor tweak (nw)
----
Modified : /trunk/src/mame/machine/igs022.c

Revision: 25561
Author: dhaywood
Date: 07 October 2013 22:11:04
Message:
fix broken dma mode (nw)
----
Modified : /trunk/src/mame/machine/igs022.c

Revision: 25560
Author: wilbertp
Date: 07 October 2013 21:05:59
Message:
jaguar.c: Fixed detection of busy loops (nw)
----
Modified : /trunk/src/emu/cpu/jaguar/jaguar.c

Revision: 25559
Author: dhaywood
Date: 07 October 2013 20:59:41
Message:
missing files (nw)
----
Added : /trunk/src/mame/machine/igs022.c
Added : /trunk/src/mame/machine/igs022.h

Revision: 25558
Author: dhaywood
Date: 07 October 2013 20:20:45
Message:
further refactoring (nw)
----
Modified : /trunk/src/mame/drivers/igs017.c
Modified : /trunk/src/mame/includes/pgm.h
Added : /trunk/src/mame/machine/igs025.c (Copy from path: /trunk/src/mame/machine/igs025_igs022.c, Revision, 25553)
Added : /trunk/src/mame/machine/igs025.h (Copy from path: /trunk/src/mame/machine/igs025_igs022.h, Revision, 25553)
Deleted : /trunk/src/mame/machine/igs025_igs022.c
Deleted : /trunk/src/mame/machine/igs025_igs022.h
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c
Modified : /trunk/src/mame/mame.mak

Revision: 25557
Author: wilbertp
Date: 07 October 2013 19:35:50
Message:
nec.c: Modernized cpu core (bw)
----
Modified : /trunk/src/emu/cpu/nec/nec.c
Modified : /trunk/src/emu/cpu/nec/nec.h
Modified : /trunk/src/emu/cpu/nec/necdasm.c
Modified : /trunk/src/emu/cpu/nec/necea.h
Modified : /trunk/src/emu/cpu/nec/necinstr.c
Modified : /trunk/src/emu/cpu/nec/necinstr.h
Modified : /trunk/src/emu/cpu/nec/necmacro.h
Modified : /trunk/src/emu/cpu/nec/necmodrm.h
Modified : /trunk/src/emu/cpu/nec/necpriv.h
Modified : /trunk/src/emu/cpu/nec/v25.c
Added : /trunk/src/emu/cpu/nec/v25.h
Modified : /trunk/src/emu/cpu/nec/v25instr.c
Modified : /trunk/src/emu/cpu/nec/v25instr.h
Modified : /trunk/src/emu/cpu/nec/v25priv.h
Modified : /trunk/src/emu/cpu/nec/v25sfr.c
Modified : /trunk/src/mame/drivers/cb2001.c
Modified : /trunk/src/mame/drivers/m107.c
Modified : /trunk/src/mame/drivers/m72.c
Modified : /trunk/src/mame/drivers/m90.c
Modified : /trunk/src/mame/drivers/m92.c
Modified : /trunk/src/mame/drivers/segas32.c
Modified : /trunk/src/mame/drivers/toaplan2.c

Revision: 25556
Author: robbbert
Date: 07 October 2013 19:20:52
Message:
(MESS) vboy : added fullpath support for small homebrews (nw)
----
Modified : /trunk/src/mess/drivers/vboy.c

Revision: 25555
Author: ivanva
Date: 07 October 2013 19:07:46
Message:
Modernized 6525tpi device. (nw)
----
Modified : /trunk/src/emu/machine/6525tpi.c
Modified : /trunk/src/emu/machine/6525tpi.h
Modified : /trunk/src/mess/machine/amigacd.c
Modified : /trunk/src/mess/machine/c64/ieee488.c

Revision: 25554
Author: ivanva
Date: 07 October 2013 19:07:11
Message:
Modernized er59256 device. (nw)
----
Modified : /trunk/src/emu/machine/er59256.c
Modified : /trunk/src/emu/machine/er59256.h
Modified : /trunk/src/mess/drivers/rmnimbus.c
Modified : /trunk/src/mess/includes/rmnimbus.h
Modified : /trunk/src/mess/machine/rmnimbus.c

Revision: 25553
Author: dhaywood
Date: 07 October 2013 18:18:05
Message:
refactor some IGS protection code for easier sharing between igs017.c and pgm.c (nw)
----
Modified : /trunk/src/mame/drivers/igs017.c
Modified : /trunk/src/mame/includes/pgm.h
Added : /trunk/src/mame/machine/igs025_igs022.c
Added : /trunk/src/mame/machine/igs025_igs022.h
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c
Modified : /trunk/src/mame/mame.mak

Revision: 25552
Author: fabiopri
Date: 07 October 2013 15:37:17
Message:
(MESS) vboy.c: improved loading from fullpath for non-2MB carts. [Fabio Priuli]
----
Modified : /trunk/src/mess/drivers/vboy.c

Revision: 25551
Author: hap
Date: 07 October 2013 15:06:00
Message:
New clone added
---------------------
Safari Rally (World) [Andrew Welburn]


rename: safarir -> safarirj
the new set becomes safarir

----
Modified : /trunk/src/mame/drivers/safarir.c
Modified : /trunk/src/mame/mame.lst

Revision: 25550
Author: smf
Date: 07 October 2013 08:28:07
Message:
fixed 16 bit latch writing [smf]
----
Modified : /trunk/src/mess/machine/a2zipdrive.c

Revision: 25549
Author: smf
Date: 07 October 2013 08:16:11
Message:
fixed 16 bit latch writing [smf]
----
Modified : /trunk/src/mess/machine/a2vulcan.c

Revision: 25548
Author: robbbert
Date: 07 October 2013 07:43:49
Message:
(MESS) jade : added some info (nw)
----
Modified : /trunk/src/mess/drivers/jade.c

Revision: 25547
Author: robbbert
Date: 07 October 2013 07:31:30
Message:
(MESS) irisha : cleanup (nw)
----
Modified : /trunk/src/mess/drivers/irisha.c
Deleted : /trunk/src/mess/includes/irisha.h
Deleted : /trunk/src/mess/machine/irisha.c
Modified : /trunk/src/mess/mess.mak
Deleted : /trunk/src/mess/video/irisha.c

Revision: 25546
Author: dhaywood
Date: 07 October 2013 02:57:46
Message:
small fix to unbreak killbld from iq132
----
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c

Revision: 25545
Author: robbbert
Date: 07 October 2013 02:10:40
Message:
(MESS) improved keyboard on special, lik, erik (nw)
----
Modified : /trunk/src/mess/drivers/special.c
Modified : /trunk/src/mess/includes/special.h
Modified : /trunk/src/mess/machine/special.c

Revision: 25544
Author: smf
Date: 07 October 2013 00:53:03
Message:
stopped div 0x80000000, 0xffffffff from causing an overflow exception. All loads cancel an outstanding load to the same register, not just lwl/lwr [smf]
----
Modified : /trunk/src/emu/cpu/psx/psx.c

Revision: 25543
Author: jgevarya
Date: 07 October 2013 00:30:04
Message:
(MESS) dectalk.c: fixed 68k->dsp fifo, hooked up the old 1.8 dsp rom version since it works with 1.8 with no glitching and also works with 2.0 [Lord Nightmare]
----
Modified : /trunk/src/mess/drivers/dectalk.c

Revision: 25542
Author: jgevarya
Date: 07 October 2013 00:01:26
Message:
(MESS) dectalk.c: fixed the outfifo handler so the 'later 2.0' -409/-410 dsp
firmware works correctly; some minor documentation updates as well, and 
added a compile-time feature to boost interleave when the output fifo is about
to run out. [Lord Nightmare]
----
Modified : /trunk/src/mess/drivers/dectalk.c

Revision: 25541
Author: hap
Date: 06 October 2013 22:09:15
Message:
fixed vector games black screen with hlsl
----
Modified : /trunk/src/osd/windows/d3dhlsl.c

Revision: 25540
Author: angelosa
Date: 06 October 2013 19:24:54
Message:
Decoded GFXs in SBC6510
----
Modified : /trunk/src/emu/video/stvvdp1.c
Modified : /trunk/src/mess/drivers/sbc6510.c

Revision: 25539
Author: couriers
Date: 06 October 2013 18:18:23
Message:
Optimized some netlist code by inlining clock device. This improves pongf performance by approx. 10%.
----
Modified : /trunk/src/emu/machine/net_lib.c
Modified : /trunk/src/emu/machine/net_lib.h
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h
Modified : /trunk/src/mame/drivers/pong.c

Revision: 25538
Author: hap
Date: 06 October 2013 16:56:21
Message:
turn Windows multithreaded blit off by default: shows gfx glitches in drivers with indexed palette otherwise

----
Modified : /trunk/src/osd/windows/winmain.c

Revision: 25537
Author: dhaywood
Date: 06 October 2013 15:09:10
Message:
igs025/igs022 DMA mode 4 (for drgw3)
----
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c

Revision: 25536
Author: couriers
Date: 06 October 2013 12:35:56
Message:
Fixed a bug in netlib's NE555 emulation
----
Modified : /trunk/src/emu/machine/net_lib.c

Revision: 25535
Author: robbbert
Date: 06 October 2013 11:06:50
Message:
MT 05323 : rallyx, rallyxa, rallyxm, rallyxmr: "INVALID" text in dip switch [Robbbert]

----
Modified : /trunk/src/mame/drivers/rallyx.c

Revision: 25534
Author: jgevarya
Date: 06 October 2013 08:57:59
Message:
minor dectalk comment updates (n/w)
----
Modified : /trunk/src/mess/drivers/dectalk.c

Revision: 25533
Author: jgevarya
Date: 06 October 2013 08:42:00
Message:
(MESS) dectalk.c: add DECtalk DTC-01 v1.8 firmware, add two new DECtalk DSP firmwares (one which goes with v1.8, and one which goes with later v2.0 units) [Al Kossow, Lord Nightmare]
----
Modified : /trunk/src/mess/drivers/dectalk.c

Revision: 25532
Author: smf
Date: 05 October 2013 20:38:34
Message:
moved request sense command into t10spc, supporting the old obsolete format and the new one. [smf]
----
Modified : /trunk/src/emu/machine/t10mmc.c
Modified : /trunk/src/emu/machine/t10mmc.h
Modified : /trunk/src/emu/machine/t10sbc.c
Modified : /trunk/src/emu/machine/t10spc.c
Modified : /trunk/src/emu/machine/t10spc.h

Revision: 25531
Author: rbelmont
Date: 05 October 2013 17:16:30
Message:
ptblank: Documented how the protection works. [Guru, R. Belmont]


----
Modified : /trunk/src/mame/drivers/namconb1.c

Revision: 25530
Author: barryrod
Date: 05 October 2013 11:02:07
Message:
wpc_an: Various additions, games now have full sound:
  - Added WPC sound board and hooked up to WPC boards.
  - Added shifter functions to WPC chip (fixes inputs)
  - Added preliminary memory protection


----
Added : /trunk/src/mame/audio/wpcsnd.c
Added : /trunk/src/mame/audio/wpcsnd.h
Modified : /trunk/src/mame/drivers/wpc_an.c
Modified : /trunk/src/mame/mame.mak

Revision: 25529
Author: smf
Date: 05 October 2013 00:50:43
Message:
update hack to allow dsfdct to boot (nw)
----
Modified : /trunk/src/mame/drivers/ksys573.c

Revision: 25528
Author: smf
Date: 04 October 2013 22:54:22
Message:
Added a hack to get konami 80's loading games again. It misses out triggering dma for three sectors, the old code didn't care as it didn't check for how much had been requested. Why it does this and what should actually happen is currently unknown. [smf]
----
Modified : /trunk/src/mame/drivers/ksys573.c

Revision: 25527
Author: curtcode
Date: 04 October 2013 21:59:16
Message:
(MESS) ibmpcjr: Fixed the software lists. [Kaylee]
----
Modified : /trunk/hash/ibmpcjr_cart.xml
Modified : /trunk/hash/ibmpcjr_flop.xml

Revision: 25526
Author: tafoid
Date: 04 October 2013 20:09:25
Message:
Size fix for peps0047's prom dump (nw)
 
----
Modified : /trunk/src/mame/drivers/peplus.c

Revision: 25525
Author: wilbertp
Date: 04 October 2013 19:55:30
Message:
saturn.c: Modernized cpu core (nw)
----
Modified : /trunk/src/emu/cpu/saturn/satops.c
Modified : /trunk/src/emu/cpu/saturn/sattable.c
Modified : /trunk/src/emu/cpu/saturn/saturn.c
Modified : /trunk/src/emu/cpu/saturn/saturn.h
Modified : /trunk/src/mess/drivers/hp48.c
Modified : /trunk/src/mess/includes/hp48.h
Modified : /trunk/src/mess/machine/hp48.c

Revision: 25524
Author: crazyc
Date: 04 October 2013 19:03:47
Message:
(mess) isa_dectalk: much better now although quieter and some pops and squeaks. (nw)
----
Modified : /trunk/src/mess/machine/isa_dectalk.c

Revision: 25523
Author: curtcode
Date: 04 October 2013 18:48:06
Message:
(MESS) c64: Fixed tape loading. [Curt Coder]
----
Modified : /trunk/src/mess/machine/c2n.c
Modified : /trunk/src/mess/machine/c2n.h

Revision: 25522
Author: curtcode
Date: 04 October 2013 18:46:05
Message:
(MESS) Put the proper PC DOSes in place. (nw)
----
Modified : /trunk/hash/ibm5150.xml
Added : /trunk/hash/ibm5160_flop.xml
Modified : /trunk/hash/ibm5170.xml
Modified : /trunk/hash/ibmpcjr_flop.xml
Modified : /trunk/src/mess/drivers/at.c
Modified : /trunk/src/mess/drivers/ibmpc.c

Revision: 25521
Author: dhaywood
Date: 04 October 2013 17:30:07
Message:
couple of tweaks to the PGM submission (nw)
----
Modified : /trunk/src/mame/drivers/pgm.c
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c

Revision: 25520
Author: dhaywood
Date: 04 October 2013 17:10:20
Message:
Improvements to Dragon World 3 protection simulation, game seems mostly playable now although a DMA mode copying 68k code to RAM is still missing [iq_132]
----
Modified : /trunk/src/mame/drivers/pgm.c
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c

Revision: 25519
Author: robbbert
Date: 04 October 2013 13:34:34
Message:
(MESS) sapi1 : last part (nw)
----
Modified : /trunk/src/mess/drivers/sapi1.c

Revision: 25518
Author: briantro
Date: 04 October 2013 04:40:43
Message:
tumbleb.c: Filled in tested Carket Ball dipswitch settings. Basically as stated in Test Mode, except for Language and the second Test Mode. - NW
----
Modified : /trunk/src/mame/drivers/tumbleb.c

Revision: 25517
Author: crazyc
Date: 04 October 2013 04:18:01
Message:
(mess) isa_dectalk: add the dectalk pc device [Carl, Lord Nightmare]
--
Audio quality is currently marginal
----
Modified : /trunk/src/mess/machine/isa_cards.c
Modified : /trunk/src/mess/machine/isa_cards.h
Added : /trunk/src/mess/machine/isa_dectalk.c
Added : /trunk/src/mess/machine/isa_dectalk.h
Modified : /trunk/src/mess/mess.mak

Revision: 25516
Author: rbelmont
Date: 04 October 2013 03:56:29
Message:
SDL: updated man pages [Cesare Falco]


----
Modified : /trunk/src/osd/sdl/man/castool.1
Modified : /trunk/src/osd/sdl/man/chdman.1
Modified : /trunk/src/osd/sdl/man/imgtool.1
Modified : /trunk/src/osd/sdl/man/jedutil.1
Modified : /trunk/src/osd/sdl/man/ldresample.1
Modified : /trunk/src/osd/sdl/man/ldverify.1
Modified : /trunk/src/osd/sdl/man/mame.6
Modified : /trunk/src/osd/sdl/man/mess.6
Modified : /trunk/src/osd/sdl/man/romcmp.1
Modified : /trunk/src/osd/sdl/man/testkeys.1

Revision: 25515
Author: rbelmont
Date: 04 October 2013 03:53:07
Message:
ncr5380n: better DRQ support, fixed arbitration-in-progress bit [R. Belmont]

----
Modified : /trunk/src/mess/machine/ncr5380n.c

Revision: 25514
Author: rbelmont
Date: 04 October 2013 03:51:15
Message:
(MESS) Apple II: Initial non-working implementation of High Speed SCSI Card [R. Belmont]


----
Added : /trunk/src/mess/machine/a2hsscsi.c
Added : /trunk/src/mess/machine/a2hsscsi.h
Modified : /trunk/src/mess/mess.mak

Revision: 25513
Author: briantro
Date: 04 October 2013 03:33:11
Message:
peplus.c: More additions and or corrections - NW
----
Modified : /trunk/src/mame/drivers/peplus.c
Modified : /trunk/src/mame/mame.lst

Revision: 25512
Author: smf
Date: 03 October 2013 21:59:21
Message:
fixed mametesters 05257 [smf]
----
Modified : /trunk/src/mame/drivers/namcos12.c

Revision: 25511
Author: angelosa
Date: 03 October 2013 21:35:49
Message:
SCSP: improved DMA and fixed triggering from SH-2 side [Angelo Salese]
----
Modified : /trunk/src/emu/sound/aica.c
Modified : /trunk/src/emu/sound/scsp.c

Revision: 25510
Author: curtcode
Date: 03 October 2013 21:16:14
Message:
(MESS) ibm5170.xml: Added some Windows'. [Curt Coder]
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25509
Author: curtcode
Date: 03 October 2013 20:28:57
Message:
Typo fix. (nw)
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25508
Author: curtcode
Date: 03 October 2013 20:26:45
Message:
(MESS) ibm5170.xml: Added MS-DOS, PC-DOS, GEM, and OS/2 floppy images. [Curt Coder]
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25507
Author: curtcode
Date: 03 October 2013 19:42:31
Message:
(MESS) ibm5170.xml: Added the remaining Riki coverdisks. [Kaylee]
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25506
Author: robbbert
Date: 03 October 2013 14:54:40
Message:
(MESS) sapi1 : more wip
----
Modified : /trunk/src/mess/drivers/sapi1.c

Revision: 25505
Author: barryrod
Date: 03 October 2013 09:52:34
Message:
s11,wpc: Made System 11C BG music hardware a device, and plugged it into the WPC versions of Dr. Dude.
----
Added : /trunk/src/mame/audio/s11c_bg.c
Added : /trunk/src/mame/audio/s11c_bg.h
Modified : /trunk/src/mame/drivers/s11.c
Modified : /trunk/src/mame/drivers/s11a.c
Modified : /trunk/src/mame/drivers/s11b.c
Modified : /trunk/src/mame/drivers/s11c.c
Modified : /trunk/src/mame/drivers/wpc_an.c
Modified : /trunk/src/mame/includes/s11.h
Modified : /trunk/src/mame/mame.mak

Revision: 25504
Author: jgevarya
Date: 03 October 2013 04:29:55
Message:
minorly rearranged the phone plugs and the breakout connector on the diagram to better match the pcb. no whatsnew
----
Modified : /trunk/src/mess/drivers/cat.c

Revision: 25503
Author: jgevarya
Date: 03 October 2013 03:18:57
Message:
(mess) cat.c: further swyft documentation updates based on having the board to look at directly [Lord Nightmare, Sandy Bumgarner]
----
Modified : /trunk/src/mess/drivers/cat.c

Revision: 25502
Author: dhaywood
Date: 03 October 2013 02:39:02
Message:
fix some tilemap dirty marking when bank changes in nmk16.c, was causing some issues on later tdragon2 bosses (nw)
----
Modified : /trunk/src/mame/video/nmk16.c

Revision: 25501
Author: curtcode
Date: 02 October 2013 22:05:31
Message:
(MESS) ibm5170_cdrom.xml: Added PC DOS 2000. [Curt Coder]
----
Modified : /trunk/hash/ibm5170_cdrom.xml


Revision: 25500 == MAME/MESS/UME 0.150x1
